Intermittent HTTPError: HTTP Error 404: Not Found

RESOLVED FIXED

Status

Release Engineering
Mozharness
RESOLVED FIXED
2 years ago
3 months ago

People

(Reporter: Treeherder Bug Filer, Assigned: armenzg)

Tracking

({intermittent-failure})

unspecified
intermittent-failure
Dependency tree / graph

Firefox Tracking Flags

(firefox50 wontfix, firefox51 fixed, firefox52 fixed)

Details

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

See Also: → bug 1300343

Comment 1

2 years ago
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* autoland: 16
* mozilla-release: 3
* mozilla-aurora: 1

Platform breakdown:
* linux64: 18
* android-4-2-x86: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2016-09-06&endday=2016-09-06&tree=all
Component: General → Mozharness
Product: Taskcluster → Release Engineering
QA Contact: jlund
Depends on: 1300812

Comment 2

2 years ago
45 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 18
* mozilla-inbound: 10
* mozilla-aurora: 8
* mozilla-beta: 4
* mozilla-release: 3
* try: 2

Platform breakdown:
* linux64: 40
* android-4-3-armv7-api15: 2
* android-4-2-x86: 2
* android-api-15-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2016-09-05&endday=2016-09-11&tree=all

Comment 3

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 2
* autoland: 1

Platform breakdown:
* linux64: 14
* android-4-3-armv7-api15: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2016-09-13&endday=2016-09-13&tree=all
(Assignee)

Comment 4

2 years ago
Bug 1300812 has improved this, however, there is a different bug in here:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2016-09-15&endday=2016-09-16&tree=all

We need to add retry logic here:
https://dxr.mozilla.org/mozilla-central/source/testing/mozharness/mozharness/mozilla/testing/testbase.py#200

However, I actually don't see a symbols URL in here:
https://tools.taskcluster.net/task-inspector/#Zpzvxtb3SYOKyqilZOaG5g/0

 [task 2016-09-16T10:42:08.079439Z] 10:42:08  WARNING - Can't figure out symbols_url from installer_url: https://queue.taskcluster.net/v1/task/Zpzvxtb3SYOKyqilZOaG5g/artifacts/public/build/target.tar.bz2!
 [task 2016-09-16T10:42:08.079831Z] 10:42:08  WARNING - Traceback (most recent call last):
 [task 2016-09-16T10:42:08.080256Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.080776Z] 10:42:08  WARNING -   File "/home/worker/workspace/mozharness/mozharness/mozilla/testing/testbase.py", line 200, in query_symbols_url
 [task 2016-09-16T10:42:08.081306Z] 10:42:08  WARNING -     self._urlopen(symbols_url, timeout=120)
 [task 2016-09-16T10:42:08.081767Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.082297Z] 10:42:08  WARNING -   File "/home/worker/workspace/mozharness/mozharness/mozilla/testing/testbase.py", line 292, in _urlopen
 [task 2016-09-16T10:42:08.083102Z] 10:42:08  WARNING -     return urllib2.urlopen(url, **kwargs)
 [task 2016-09-16T10:42:08.083183Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.083237Z] 10:42:08  WARNING -   File "/usr/lib/python2.7/urllib2.py", line 126, in urlopen
 [task 2016-09-16T10:42:08.083321Z] 10:42:08  WARNING -     return _opener.open(url, data, timeout)
 [task 2016-09-16T10:42:08.083623Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.083982Z] 10:42:08  WARNING -   File "/usr/lib/python2.7/urllib2.py", line 406, in open
 [task 2016-09-16T10:42:08.084304Z] 10:42:08  WARNING -     response = meth(req, response)
 [task 2016-09-16T10:42:08.084609Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.084932Z] 10:42:08  WARNING -   File "/usr/lib/python2.7/urllib2.py", line 519, in http_response
 [task 2016-09-16T10:42:08.085257Z] 10:42:08  WARNING -     'http', request, response, code, msg, hdrs)
 [task 2016-09-16T10:42:08.085566Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.085879Z] 10:42:08  WARNING -   File "/usr/lib/python2.7/urllib2.py", line 444, in error
 [task 2016-09-16T10:42:08.086197Z] 10:42:08  WARNING -     return self._call_chain(*args)
 [task 2016-09-16T10:42:08.086504Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.086829Z] 10:42:08  WARNING -   File "/usr/lib/python2.7/urllib2.py", line 378, in _call_chain
 [task 2016-09-16T10:42:08.087142Z] 10:42:08  WARNING -     result = func(*args)
 [task 2016-09-16T10:42:08.087434Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.087759Z] 10:42:08  WARNING -   File "/usr/lib/python2.7/urllib2.py", line 527, in http_error_default
 [task 2016-09-16T10:42:08.088114Z] 10:42:08  WARNING -     raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
 [task 2016-09-16T10:42:08.088421Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.088755Z] 10:42:08  WARNING - HTTPError: HTTP Error 404: Not Found
 [task 2016-09-16T10:42:08.089067Z] 10:42:08  WARNING - 
 [task 2016-09-16T10:42:08.089401Z] 10:42:08 WARNING - No symbols_url found. Let minidump_stackwalk query for symbols.

Comment 5

a year ago
42 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 18
* mozilla-central: 7
* fx-team: 7
* mozilla-aurora: 5
* autoland: 4
* mozilla-beta: 1

Platform breakdown:
* linux64: 26
* android-4-3-armv7-api15: 8
* linux32: 6
* windows7-32-vm: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2016-09-12&endday=2016-09-18&tree=all
(Assignee)

Updated

a year ago
Depends on: 1303759
Comment hidden (mozreview-request)
(Assignee)

Updated

a year ago
Assignee: nobody → armenzg

Comment 7

a year ago
15 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 7
* try: 2
* mozilla-release: 2
* mozilla-inbound: 2
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* linux64: 13
* linux64-ccov: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2016-09-19&endday=2016-09-25&tree=all

Comment 8

a year ago
mozreview-review
Comment on attachment 8794310 [details]
Bug 1300663 - Catch HTTPError when query for symbols url.

https://reviewboard.mozilla.org/r/80824/#review79736

gotta catch them all!
Attachment #8794310 - Flags: review?(jlund) → review+

Comment 9

a year ago
Pushed by armenzg@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5388505dd76a
Catch HTTPError when query for symbols url. r=jlund

Comment 10

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/5388505dd76a
Status: NEW → RESOLVED
Last Resolved: a year ago
status-firefox52: --- → fixed
Resolution: --- → FIXED

Comment 12

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/90a578222d6c
status-firefox50: --- → fixed
This was ineffective on Beta, presumably due to other missing deps. Given that it's a cosmetic issue anyway, I just backed it out.

https://hg.mozilla.org/releases/mozilla-beta/rev/5eb0a600c391
status-firefox50: fixed → wontfix
(Assignee)

Comment 14

a year ago
Could you please point me to a log on beta? I might be able to point a patch that would help.
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 5

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2016-10-10&endday=2016-10-16&tree=all

Comment 16

9 months ago
7 failures in 879 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 3
* try: 1

Platform breakdown:
* osx-10-10: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-05-08&endday=2017-05-14&tree=all

Comment 17

9 months ago
13 failures in 777 pushes (0.017 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 7
* mozilla-inbound: 4
* mozilla-central: 2

Platform breakdown:
* osx-10-10: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-05-15&endday=2017-05-21&tree=all

Comment 18

9 months ago
7 failures in 891 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 4
* mozilla-inbound: 3

Platform breakdown:
* osx-10-10: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-05-22&endday=2017-05-28&tree=all

Comment 19

8 months ago
6 failures in 814 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 4
* autoland: 2

Platform breakdown:
* linux64: 2
* linux32: 2
* android-api-15-gradle: 1
* android-4-0-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-06-12&endday=2017-06-18&tree=all

Comment 20

8 months ago
3 failures in 718 pushes (0.004 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* autoland: 1

Platform breakdown:
* linux64-stylo: 2
* android-5-0-aarch64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-06-26&endday=2017-07-02&tree=all

Comment 21

5 months ago
4 failures in 1032 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* autoland: 2

Platform breakdown:
* linux64: 3
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-09-11&endday=2017-09-17&tree=all

Comment 22

5 months ago
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* android-4-0-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 23

5 months ago
1 failures in 824 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* android-api-16-gradle: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-10-02&endday=2017-10-08&tree=all

Comment 24

4 months ago
3 failures in 947 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* autoland: 1

Platform breakdown:
* android-4-0-armv7-api16: 2
* android-5-0-aarch64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-10-09&endday=2017-10-15&tree=all

Comment 25

4 months ago
1 failures in 864 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-10-16&endday=2017-10-22&tree=all

Comment 26

3 months ago
1 failures in 849 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-11-06&endday=2017-11-12&tree=all

Comment 27

3 months ago
1 failures in 762 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* osx-cross: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-11-13&endday=2017-11-19&tree=all

Comment 28

3 months ago
1 failures in 744 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1300663&startday=2017-11-20&endday=2017-11-26&tree=all
You need to log in before you can comment on or make changes to this bug.